var SerialPort = require('serialport');

var serialPort = new SerialPort("/dev/cu.usbmodem1421", {
  baudRate: 9600
});

serialPort.on("open", function() {

  var socket = require('socket.io-client')('http://localhost:8080');
  socket.on('connect', function() {
    console.log("Connected");
  });
  
  socket.on('event', function(data) {
    console.log("Event ", data);
  });

  socket.on('disconnect', function() {
    console.log("disconnect");
  });

  // from the browser
  socket.on('message', function(data) {
    serialPort.write(data); // send it to the arduino
  });

  serialPort.on("data", function(data) {
    socket.emit('serialdata', data);
    console.log(data);
  });

});
